! WHIZARD <<Version>> <<Date>>
! 
! (C) 1999-2009 by 
!     Wolfgang Kilian <kilian@hep.physik.uni-siegen.de>
!     Thorsten Ohl <ohl@physik.uni-wuerzburg.de>
!     Juergen Reuter <juergen.reuter@physik.uni-freiburg.de>
!     with contributions by Sebastian Schmidt
!
! WHIZARD is free software; you can redistribute it and/or modify it
! under the terms of the GNU General Public License as published by 
! the Free Software Foundation; either version 2, or (at your option)
! any later version.
!
! WHIZARD is distributed in the hope that it will be useful, but
! WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
module system_dependencies

  implicit none
  public
 
  ! Program version
  character(*), parameter :: WHIZARD_VERSION = "2.0.0_beta"
  character(*), parameter :: WHIZARD_DATE = "Dec 12 2009"

  ! System paths
  ! These are used for testing without existing installation
  character(*), parameter :: WHIZARD_TEST_AUX_MODPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" & 
       & // "/src/misc"
  character(*), parameter :: WHIZARD_TEST_MODELS_MODPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/src/models"
  character(*), parameter :: WHIZARD_TEST_OMEGA_MODPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/src/omega/lib"
  character(*), parameter :: WHIZARD_TEST_CORE_MODPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" & 
       & // "/src/whizard-core"
  character(*), parameter :: WHIZARD_TEST_CORE_LIBPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/src/whizard-core"
  character(*), parameter :: WHIZARD_TEST_OMEGA_BINPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/src/omega/bin"
  character(*), parameter :: WHIZARD_TEST_SRC_LIBPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/src"
  character(*), parameter :: WHIZARD_TEST_HEPMC_LIBPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" & 
       & // "/src/hepmc"
  character(*), parameter :: WHIZARD_TEST_MODELPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/share/models"
  character(*), parameter :: WHIZARD_TEST_SUSYPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/share/susy"
  character(*), parameter :: WHIZARD_TEST_GMLPATH= &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
       & // "/src/gamelan"
  character(*), parameter :: WHIZARD_TEST_CUTSPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" & 
       & // "/share/cuts"
  character(*), parameter :: WHIZARD_TEST_TESTDATAPATH = &
       "/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" & 
       & // "/share/test"

  ! WHIZARD-specific include flags
  character(*), parameter :: WHIZARD_TEST_INCLUDES = &
	"-I" // WHIZARD_TEST_MODELS_MODPATH // " " // &
	"-I" // WHIZARD_TEST_OMEGA_MODPATH // " " // &
	"-I" // WHIZARD_TEST_CORE_MODPATH // " " // &
	"-I" // WHIZARD_TEST_AUX_MODPATH

  ! WHIZARD-specific link flags
  character(*), parameter :: WHIZARD_TEST_LDFLAGS = &
	"-L" // WHIZARD_TEST_CORE_LIBPATH // " " // &
	"-L" // WHIZARD_TEST_SRC_LIBPATH // " " // &
	"-L" // WHIZARD_TEST_HEPMC_LIBPATH // " " // &
	"-lwhizard_main -lwhizard -lomega -L/opt/whizard/lib -lHepMC"

  ! Libtool
  character(*), parameter :: WHIZARD_LIBTOOL_TEST = &
	"/afs/physik.uni-freiburg.de/home/reuter/Physik/progs/omwhiz/svn/hepforge_trunk" &
        & // "/libtool"


  ! System paths
  ! These are used for the installed version
  character(*), parameter :: WHIZARD_AUX_MODPATH = &
       "/opt/whizard/lib/whizard/mod/misc"
  character(*), parameter :: WHIZARD_MODELS_MODPATH = &
       "/opt/whizard/lib/whizard/mod/models"
  character(*), parameter :: WHIZARD_OMEGA_MODPATH = &
       "/opt/whizard/lib/whizard/mod/omega"
  character(*), parameter :: WHIZARD_CORE_MODPATH = &
       "/opt/whizard/lib/whizard/mod/whizard-core"
  character(*), parameter :: WHIZARD_OMEGA_BINPATH = &
       "/opt/whizard/lib/whizard/omegabin"
  character(*), parameter :: WHIZARD_OMEGA_LIBPATH = &
       "/opt/whizard/lib/whizard"
  character(*), parameter :: WHIZARD_MODELPATH = &
       "/opt/whizard/share/whizard/models"
  character(*), parameter :: WHIZARD_SUSYPATH = &
       "/opt/whizard/share/whizard/susy"
  character(*), parameter :: WHIZARD_GMLPATH= &
       "/opt/whizard/lib/whizard/gamelan"
  character(*), parameter :: WHIZARD_TESTDATAPATH = &
       "/opt/whizard/share/whizard/test"
  character(*), parameter :: WHIZARD_CUTSPATH = &
       "/opt/whizard/share/whizard/cuts"

  ! WHIZARD-specific include flags
  character(*), parameter :: WHIZARD_INCLUDES = &
	"-I" // WHIZARD_MODELS_MODPATH // " " // &
	"-I" // WHIZARD_OMEGA_MODPATH // " " // &
	"-I" // WHIZARD_CORE_MODPATH // " " // &
	"-I" // WHIZARD_AUX_MODPATH

  ! WHIZARD-specific link flags
  character(*), parameter :: WHIZARD_LDFLAGS = &
	"-L" // WHIZARD_OMEGA_LIBPATH // " " // &
	"-lwhizard_main -lwhizard -lomega -L/opt/whizard/lib -lHepMC"
	
  ! Libtool
  character(*), parameter :: WHIZARD_LIBTOOL = &
	"/opt/whizard/lib/whizard/libtool"


  ! Fortran compiler
  character(*), parameter :: DEFAULT_FC = "nagfor"
  character(*), parameter :: DEFAULT_FCFLAGS = "-gline -C=all"
  character(*), parameter :: DEFAULT_FCFLAGS_PIC = " -pic"
  character(*), parameter :: DEFAULT_FC_SRC_EXT = ".f90"
  character(*), parameter :: DEFAULT_OBJ_EXT = ".o"

  ! Linker
  character(*), parameter :: DEFAULT_LD = "/usr/bin/ld"
  character(*), parameter :: DEFAULT_LDFLAGS = ""
  character(*), parameter :: DEFAULT_LDFLAGS_SO = "-shared"
  character(*), parameter :: DEFAULT_LDFLAGS_STATIC = ""
  character(*), parameter :: DEFAULT_SHLIB_EXT = ".so"

  ! LHAPDF library
  character(*), parameter :: LHAPDF_PDFSETS_PATH = &
	"/opt/whizard//share/lhapdf/PDFsets"

  ! Available methods for event analysis display
  character(*), parameter :: EVENT_ANALYSIS_PS = "yes"
  character(*), parameter :: EVENT_ANALYSIS_PDF = "yes"

  ! Programs used for event analysis display
  character(*), parameter :: PRG_LATEX  = "latex"
  character(*), parameter :: PRG_DVIPS  = "dvips"
  character(*), parameter :: PRG_PS2PDF = "ps2pdf14"

end module system_dependencies
